<?php
namespace app\common\service\storage;

interface StorageInterface
{
    /**
     * @return array{key:string,url:string}
     */
    public function put($file, string $keyPrefix = ''): array;

    public function delete(string $key): void;

    public function url(string $key): string;

    public function exists(string $key): bool;
}
